diff -ur globus_core-4.30.orig/config/acstructs.m4 globus_core-4.30/config/acstructs.m4
--- globus_core-4.30.orig/config/acstructs.m4	2005-05-27 00:19:43.000000000 +0200
+++ globus_core-4.30/config/acstructs.m4	2006-09-26 23:13:27.000000000 +0200
@@ -29,6 +29,9 @@
     else
         AC_TRY_COMPILE(
 	    [
+#               ifndef _GNU_SOURCE
+#               define _GNU_SOURCE
+#               endif
 #               if HAVE_SYS_TYPES_H
 #                   include <sys/types.h>
 #               endif
@@ -61,6 +64,9 @@
         if test "$lac_cv_max_iov" = "no" ; then
             AC_TRY_COMPILE(
 	        [
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -81,6 +87,9 @@
         if test "$lac_cv_max_iov" = "no" ; then
             AC_TRY_COMPILE(
 	        [
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -100,6 +109,9 @@
         if test $lac_cv_max_iov = "no" ; then
             AC_TRY_COMPILE(
             [
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -121,6 +133,9 @@
         if test $lac_cv_max_iov = "no" ; then
             AC_TRY_COMPILE(
             [
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -143,6 +158,9 @@
         if test $lac_cv_max_iov = "no" ; then
             AC_TRY_COMPILE(
 	        [
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
diff -ur globus_core-4.30.orig/configure globus_core-4.30/configure
--- globus_core-4.30.orig/configure	2006-08-23 03:36:52.000000000 +0200
+++ globus_core-4.30/configure	2006-09-26 23:16:33.000000000 +0200
@@ -27366,6 +27366,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#               ifndef _GNU_SOURCE
+#               define _GNU_SOURCE
+#               endif
 #               if HAVE_SYS_TYPES_H
 #                   include <sys/types.h>
 #               endif
@@ -27446,6 +27449,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -27506,6 +27512,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -27565,6 +27574,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -27629,6 +27641,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -27694,6 +27709,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
diff -ur globus_core-4.30.orig/globus_config.h.in globus_core-4.30/globus_config.h.in
--- globus_core-4.30.orig/globus_config.h.in	2005-04-19 01:00:34.000000000 +0200
+++ globus_core-4.30/globus_config.h.in	2006-09-26 23:13:29.000000000 +0200
@@ -9,6 +9,9 @@
  * modifications, you must include this notice in the file.
  */
 
+#ifndef _GNU_SOURCE
+#define _GNU_SOURCE
+#endif
 #undef HAVE_EXTERNALTHREADS
 #undef HAVE_PTHREAD
 #undef HAVE_PTHREAD_DRAFT_10
